ErrorMessage (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove
Class ErrorMessage

    java.lang.Object
      edu.harvard.hul.ois.jhove.Message
          edu.harvard.hul.ois.jhove.ErrorMessage

    public class ErrorMessage

extends Message

This class encapsulates an error message from a Module, representing a problem in the content being analyzed.

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.Message
`_message, _offset, _subMessage, NULL`

Constructor Summary
`ErrorMessage(java.lang.String message)` Create an ErrorMessage.
`ErrorMessage(java.lang.String message, long offset)` Create an ErrorMessage.
`ErrorMessage(java.lang.String message, java.lang.String subMessage)` Create an ErrorMessage.
`ErrorMessage(java.lang.String message, java.lang.String subMessage, long offset)` Create an ErrorMessage.

Method Summary

Methods inherited from class edu.harvard.hul.ois.jhove.Message
`getMessage, getOffset, getSubMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorMessage

    public ErrorMessage(java.lang.String message)

  Create an ErrorMessage.

  Parameters:
    `message` - Human-readable string describing the problem.

### ErrorMessage

    public ErrorMessage(java.lang.String message,
                        long offset)

  Create an ErrorMessage.

  Parameters:
    `message` - Human-readable string describing the problem.
    `offset` - The offset in the file at which the problem was detected.

### ErrorMessage

    public ErrorMessage(java.lang.String message,
                        java.lang.String subMessage)

  Create an ErrorMessage.

  Parameters:
    `message` - Human-readable string describing the problem.

### ErrorMessage

    public ErrorMessage(java.lang.String message,
                        java.lang.String subMessage,
                        long offset)

  Create an ErrorMessage.

  Parameters:
    `message` - Human-readable string describing the problem.
    `subMessage` - Human-readable additional information.
    `offset` - The offset in the file at which the problem was detected.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD